(function ($, Drupal) {
  "use strict";

  Drupal.behaviors.ouibounceExitModal = {
    attach: function (context) {
      $(context).find('body').once('ouibounce-exit-modal', function () {
        var settings = Drupal.settings.ouibounceExitModal;
        var element = document.getElementById('ouibounce-exit-modal');
        var modal = element.getElementsByClassName("modal")[0];
        var footer = modal ? modal.getElementsByClassName("modal-footer")[0] : null;

        ouibounce(element, {
          sensitivity: settings.Sensitivity,
          aggressive: settings.AggressiveMode,
          timer: settings.Timer,
          delay: settings.Delay,
          cookieExpire: settings.CookieExpiration,
          cookieDomain: settings.CookieDomain,
          cookieName: settings.CookieName,
          sitewide: settings.SitewideCookie,
          callback: function () {
          }
        });

        document.body.addEventListener('click', function (e) {
          element.style.display = 'none';
        });

        if(footer)
        {
          footer.addEventListener('click', function (e) {
            element.style.display = 'none';
          });
        }

        if(modal)
        {
          modal.addEventListener('click', function (e) {
            e.stopPropagation();
          });
        }
      });
    }
  };

})(jQuery, Drupal);
